/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <ch.h>
#include "testarray.h"

EXPORTCH int testarray_chdl(void *varg) {
  ChInterp_t interp;
  ChVaList_t ap;
  int *arri;
  int retval;

  Ch_VaStart(interp, ap, varg);
  arri = Ch_VaArg(interp, ap, int *);   
  retval = testarray(arri);
  Ch_VaEnd(interp, ap);
  return retval;
}
